Skip to main content
GET
ListSavedSearches

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of saved searches to return. The service may return fewer than this value. If unspecified, at most 50 saved searches will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. Optional.

pageToken
string

A page token, received from a previous ListSavedSearches call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListSavedSearches must match the call that provided the page token. Optional.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are 'name', 'saved_search_id', and 'overview_mode'. For further information about how to use CELs, please refer to this guide.

organizationId
string

This field is only required if your user belongs to multiple organizations.

orderBy
string

How to order the retrieved saved searches. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are name, created_date, and modified_date. If left empty, items are ordered by created_date in ascending order (oldest-first). For more information about the format of this field, read this Example: "created_date desc,modified_date"

Response

A successful response.

The response of a call to SavedSearchService_ListSavedSearchesResponse.

savedSearches
object[]
nextPageToken
string